% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/vprint.R
\name{vprint}
\alias{vprint}
\title{vprint}
\usage{
vprint(class, verbose = NULL, txt)
}
\arguments{
\item{class}{integer representing the verbose class}

\item{verbose}{integer vector representing classes}

\item{txt}{argument to print}
}
\value{
returns no values but has side effect of printing some text
}
\description{
more flexible form of if(verbose) print(...)
}
\details{
if you are the developer, and you have some debug statements
rather than comment them out, you can turn them off and on
likewise, a user can request more or less informational comments

suggested standardized class codes for vprint():

-1 = developer debugging only

0 = constitutively turned on

1 = help for new user

2 = follow progress of long computation

3 = primary results

4 = meta info (e.g. dims of a mat before/after trimming)

5 = warnings

6 = errors

Note that the class argument is hardwired into the function code by
the developer. For example, for a debugging statement, '-1' is
hardwired in. The choice of whether or not to display this message is
subsequently governed by the user selecting which values
to include in the 'verbose' vector parameter.
}
\examples{
vprint(1,1:2,"try me")
vprint(0,1:2,"try me")
vprint(3,1:2,"try me")

}
